bunny.net – WordPress CDN Plugin

Description

Turbocharge your website’s performance effortlessly with the Bunny WordPress CDN Plugin. This powerful tool integrates bunny.net’s next-generation delivery optimization services into your WordPress site, providing a configuration wizard to simplify setup, all without requiring complex configuration or coding on your part.

Benefit from global delivery with optimal latency, automatically transfer your media to the cloud with multi-region replication, seamlessly compress media files without coding, and enhance user privacy and GDPR compliance with our open-source non-tracked fonts.

This plugin relies on the following bunny.net services

  • Bunny CDN – Substitutes existing static content links with CDN links to improve loading times;
  • Bunny Optimizer – Compresses files and images to reduce file size;
  • Bunny Offloader – Transfers media files to Bunny Storage with multi-region replication;
  • Bunny Fonts – Offers a selection of GDPR-compliant fonts hosted within the EU;

For more details, visit https://bunny.net.

System Requirements

  • PHP >=7.4
  • WordPress >=6.0

Development

Minified files

assets/echarts.min.js: https://github.com/apache/echarts/blob/5.5.1/dist/echarts.min.js

Screenshots

  • Setup wizard
  • Overview page
  • Bunny CDN configuration
  • Bunny Offloader configuration
  • Bunny Optimizer configuration
  • Bunny Fonts configuration

FAQ

How does the plugin handle my data?

The plugin interacts with various bunny.net services to provide CDN, media offloading, optimization, and font hosting. Data sent includes static content links, media files, and font requests. No personal data is shared or tracked by Bunny Fonts, ensuring GDPR compliance.

For more information, visit:
Bunny.net Terms of Service: https://bunny.net/tos/
Bunny.net Privacy Policy: https://bunny.net/privacy/

Reviews

July 16, 2024
Bunny.net is a treasure and its even faster than Cloudflare when it comes to speed and much cheaper than the Cloudflare’s Pro plan that costs $20. I am so happy that now you have come up with a plugin for the WordPress. I am using WP 6.5.5 on PHP 8.2.20 and it is working great. P.S. Those who post reviews complaining that plugin is bad please read this – please use the โ€œsupportโ€ for help and DO NOT POST your stupid careless reviews! Please go to the support —- and wait for the help and when asking for help always mention the WP and PHP version as a minimum spec information. Please do not try to hurt BUNNY.NET something that’s awesome and is a result of great minds and years of hard work. And always, please do not test anything on a live site. Be it installing any plugin, the production site is not for testing any plugin, please do testing on a separate staging site. THANKS a lot team bunny.net to make this happen. God bless great minds like yourself. Great day! I remember reading that more features are on the roadmap of this plugin – can’t wait to see them. Also, I am waiting for more great features on the plugin for native WP integration such as auto-purging of WP and CDN cache when a WP page or post is updated. Also, integration with litespeedcache plugin just as CloudFlare has. Thanks. Thanks a lot again for this easy-to-use plugin.
July 14, 2024
it help my website to load faster and save so much server bandwidth. I really recommend it and its affordable too…
July 14, 2024
I’ve seen the reviews, and what I can say is that I had some problems when the new version was released. However, for now, it is working great for me. I’m running a VPS, if that’s worth mentioning.
๐ŸŒธ4๏ธโƒฃ 17, 2024 1 reply
Unfortunately since version 2.20 came out i have had a lot of issues with it. Support has tried to help but so far no solution except to remove plugin and revert to traditional means using another caching plugin.Two stars because it used to be such an effortless and efficient pluginโ€ฆ but now it has become the opposite for my sites. The CDN itself is great!
๐Ÿƒ3๏ธโƒฃ 17, 2024 2 replies
Be warned that this is the first Wordpress plugin I’ve encountered that requires PHP 8. That’s going to be a problem for Wordpress sites still running on PHP 7, which a lot (maybe most) still are. It’s even more of a problem for sites running Linux distros that don’t support PHP 8 or which require an OS upgrade to use it. Plugin authors should really follow the baseline requirements of Wordpress itself.
Read all 9 reviews

Contributors & Developers

“bunny.net – WordPress CDN Plugin” is open source software. The following people have contributed to this plugin.

Contributors

“bunny.net – WordPress CDN Plugin” has been translated into 1 locale. Thank you to the translators for their contributions.

Translate “bunny.net – WordPress CDN Plugin” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Changelog

2.2.13

  • Fixed breaking error introduced in 2.2.12

2.2.12

  • Implemented fixes suggested by the Plugins Team

2.2.11

  • Implemented fixes suggested by the Plugins Team

2.2.10

  • Updating the compatibility version

2.2.9

  • Offloader: sanitize output in error message
  • Admin: added links to view pullzone/storagezone in dash.bunny.net

2.2.8

  • CDN: replaced โ€œExcluded extensionsโ€ with โ€œExcluded pathsโ€, including wildcard support

2.2.7

  • Added support for multisite networks
  • Improved compatibility with plugins that use script module in admin

2.2.6

  • Offloader: support PDF files

2.2.5

  • Offloader: fixed a type error with post metadata

2.2.4

  • Offloader: fixed an error with mismatching date formats

2.2.3

  • Added sync conflict resolution interface
  • Added support for WP_PROXY_* constants

2.2.2

  • Improved compatibility with other plugins

2.2.1

  • Fixed a fatal error introduced in 2.2.0

2.2.0

  • Added support for WordPress 6.5

2.1.3

  • Improved compatibility with plugins that use older composer versions

2.1.2

  • Improved compatibility with MariaDB
  • Improved compatibility with Divi Theme Builder
  • Improved compatibility with plugins that use older composer versions

2.1.1

  • Improved Offloader error handling for sync failures

2.1.0

  • Added support for PHP 7.4

2.0.3

  • Allow plugin to be converted into Agency Mode

2.0.2

  • CDN: support srcset without width/pixel density descriptor
  • Offloader: only show โ€œin syncโ€ if โ€œsync existingโ€ is enabled

2.0.1

  • Fixed link to the Bunny DNS guide

2.0.0

  • Redesigned plugin, with Bunny Fonts, Bunny Optimizer and Bunny Offloader support

1.0.8

  • Updated the branding to bunny.net

1.0.7

  • Increased pull zone name length limit

1.0.6

  • Added an option to disable BunnyCDN while logged in as an admin user
  • Added a built in Clear Cache functionality
  • Added automatic dns prefetch headers

1.0.5

  • Fixed the domain name input to allow hyphens

1.0.4

  • Logo update

1.0.3

  • Bug fixes

1.0.2

  • Added a Site URL setting for configurations using a non-standard URL configuration.

1.0.1

  • Fixed a problem with HTTPS URL handling

1.0.0

  • Initial release